---
# tasks file for nfsd
- name: Include OS specific variables
  ansible.builtin.include_vars: "{{ ansible_os_family }}.yml"

- name: Install nfsd where it's needed
  ansible.builtin.package:
    name: "nfs-kernel-server"
    state: present
  when: ansible_os_family == "Debian"

- name: Configure exports
  ansible.builtin.template:
    src: exports.j2
    dest: /etc/exports
    owner: root
    group: "{{ nfsd_root_group }}"
    mode: '0644'
  notify:
    - exportfs
    - reload mountd

- name: Make sure nfs services are enabled
  ansible.builtin.service:
    name: "{{ item }}"
    state: started
    enabled: true
  loop: "{{ nfs_services }}"
